Page MenuHomePhabricator

Add Wikidata descriptions (when available) to search results on Places
Closed, ResolvedPublic

Description

Why are we doing this?
The naming conventions of Places search results are not standardized (eg. some contain clarify information like country or state and others do not). From user testing it has been noted that this can lead to confusion or uncertainty for users. We would like to leverage Wikidata descriptions as a unified approach to providing additional context to search results.

Design


Zeplin: https://zpl.io/Z1LvCXE

Design details

  • If no Wikidata description is available nothing should be shown (do not show the summary text)
  • Wikidata description is shown in line in a lighter gray than the search result (see Zeplin for red lines and hex codes)

Event Timeline

cmadeo created this task.Jun 1 2017, 8:37 PM
cmadeo removed cmadeo as the assignee of this task.Jun 1 2017, 8:41 PM
cmadeo removed a project: Epic.Jun 2 2017, 12:13 AM

@JoeWalsh the Wikidata descriptions look really good.

I think that perhaps a bit of extra padding was added to the left and right of the query type icons. The icons should be flush to the left most point of the horizontal rule with the padding between the icon and the left side of the screen and the padding between the icon and the search result being equal.

Testing on iPhone 6s (iOS 10.3.2)/iPhone 7 (iOS 10.3.1) and Wikipedia app 5.5.0 (1149). I didn't quite understand the testing directions but I recreated the Places searches above, and Wikidata descriptions are now shown for all of them so this appears to be working good.

This is what we were looking for. Thanks @Nicholas.tsg

JMinor closed this task as Resolved.Jun 20 2017, 10:40 PM

Glad we got this in. Makes search much better.